#ifndef MARS_MMcTimeGenerate
#define MARS_MMcTimeGenerate

#ifndef MARS_MTask
#include "MTask.h"
#endif
#ifndef ROOT_TF1
#include "TF1.h"
#endif

class MParList;
class MTime;

class MMcTimeGenerate : public MTask
{
private:
    MTime    *fTime;        //!
    TF1      *fFunc;        //!

    Double_t fDeadTime;

    Int_t PreProcess(MParList *pList);
    Int_t Process();

public:
    MMcTimeGenerate(const char *name=NULL, const char *title=NULL);

    ~MMcTimeGenerate();

    ClassDef(MMcTimeGenerate, 0) // To generate a random time
};

#endif 
